Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.message
Class JBossMapMessage

    java.lang.Object
      org.jboss.messaging.core.message.RoutableSupport
          org.jboss.messaging.core.message.MessageSupport
              org.jboss.jms.message.JBossMessage
                  org.jboss.jms.message.JBossMapMessage

All Implemented Interfaces:
  java.io.Externalizable, Message, Routable, java.io.Serializable

public class JBossMapMessage
extends JBossMessage

This class implements javax.jms.MapMessage

Version:
  $Revision: 1.21 $ $Id: JBossMapMessage.java,v 1.21 2006/03/22 10:23:32 timfox Exp $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Adrian Brock, Tim Fox, Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary
`static byte` | `TYPE`

Fields inherited from class org.jboss.jms.message.JBossMessage
`connectionID, correlationID, correlationIDBytes, destination, jmsMessageID, jmsType, properties, replyToDestination`

Fields inherited from class org.jboss.messaging.core.message.RoutableSupport
`BOOLEAN, BYTE, BYTES, deliveryCount, DOUBLE, expiration, FLOAT, headers, INT, LIST, LONG, MAP, messageID, NULL, OBJECT, priority, redelivered, reliable, SHORT, STRING, timestamp`

Fields inherited from interface org.jboss.messaging.core.Routable
`COLLECTOR_ID, REMOTE_ROUTABLE, REPLICATOR_ID`

Constructor Summary
`JBossMapMessage()` Only deserialization should use this constructor directory
`JBossMapMessage(JBossMapMessage other)`
`JBossMapMessage(long messageID)`
`JBossMapMessage(long messageID, boolean reliable, long expiration, long timestamp, byte priority, java.util.Map coreHeaders, byte[] payloadAsByteArray, int persistentChannelCount, java.lang.String jmsType, java.lang.String correlationID, byte[] correlationIDBytes, JBossDestination destination, JBossDestination replyTo, java.util.HashMap jmsProperties)`
`JBossMapMessage(MapMessage foreign, long id)` Make a shallow copy of another JBossMapMessage

Method Summary
`void` | `clearBody()`
`void` | `copyPayload(java.lang.Object payload)`
`JBossMessage` | `doShallowCopy()`
`boolean` | `getBoolean(java.lang.String name)`
`byte` | `getByte(java.lang.String name)`
`byte[]` | `getBytes(java.lang.String name)`
`char` | `getChar(java.lang.String name)`
`double` | `getDouble(java.lang.String name)`
`float` | `getFloat(java.lang.String name)`
`int` | `getInt(java.lang.String name)`
`long` | `getLong(java.lang.String name)`
`java.util.Enumeration` | `getMapNames()`
`java.lang.Object` | `getObject(java.lang.String name)`
`short` | `getShort(java.lang.String name)`
`java.lang.String` | `getString(java.lang.String name)`
`byte` | `getType()`
`boolean` | `itemExists(java.lang.String name)`
`protected java.io.Serializable` | `readPayloadExternal(java.io.ObjectInput in, int length)` Override this if you want more sophisticated payload externalization.
`void` | `setBoolean(java.lang.String name, boolean value)`
`void` | `setByte(java.lang.String name, byte value)`
`void` | `setBytes(java.lang.String name, byte[] value)`
`void` | `setBytes(java.lang.String name, byte[] value, int offset, int length)`
`void` | `setChar(java.lang.String name, char value)`
`void` | `setDouble(java.lang.String name, double value)`
`void` | `setFloat(java.lang.String name, float value)`
`void` | `setInt(java.lang.String name, int value)`
`void` | `setLong(java.lang.String name, long value)`
`void` | `setObject(java.lang.String name, java.lang.Object value)`
`void` | `setShort(java.lang.String name, short value)`
`void` | `setString(java.lang.String name, java.lang.String value)`
`protected void` | `writePayloadExternal(java.io.ObjectOutput out, java.io.Serializable thePayload)` Override this if you want more sophisticated payload externalization.

Methods inherited from class org.jboss.jms.message.JBossMessage
`acknowledge, clearProperties, createThinDelegate, doAfterSend, dump, getBooleanProperty, getByteProperty, getConnectionID, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSProperties, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, isCorrelationIDBytes, isReference, propertyExists, readDestination, readExternal, setBooleanProperty, setByteProperty, setConnectionID, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSProperties, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setMessageId, setObjectProperty, setShortProperty, setStringProperty, toString, writeDestination, writeExternal`

Methods inherited from class org.jboss.messaging.core.message.MessageSupport
`clearPayloadAsByteArray, copyPayloadAsByteArrayToPayload, decPersistentChannelCount, equals, getHeaders, getMessage, getPayload, getPayloadAsByteArray, getPersistentChannelCount, hashCode, incPersistentChannelCount, setPayload`

Methods inherited from class org.jboss.messaging.core.message.RoutableSupport
`containsHeader, getDeliveryCount, getExpiration, getHeader, getHeaderNames, getMessageID, getPriority, getTimestamp, incrementDeliveryCount, internalReadObject, internalWriteObject, isExpired, isRedelivered, isReliable, putHeader, readList, readMap, removeHeader, setDeliveryCount, setPriority, setRedelivered, writeList, writeMap`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.messaging.core.Routable
`containsHeader, getDeliveryCount, getExpiration, getHeader, getHeaderNames, getMessageID, getPriority, getTimestamp, incrementDeliveryCount, isExpired, isRedelivered, isReliable, putHeader, removeHeader, setDeliveryCount, setPriority, setRedelivered`

Field Detail

### TYPE

    public static final byte TYPE

See Also:
  Constant Field Values

Constructor Detail

### JBossMapMessage

    public JBossMapMessage()

  Only deserialization should use this constructor directory

### JBossMapMessage

    public JBossMapMessage(long messageID)

### JBossMapMessage

    public JBossMapMessage(long messageID,
                           boolean reliable,
                           long expiration,
                           long timestamp,
                           byte priority,
                           java.util.Map coreHeaders,
                           byte[] payloadAsByteArray,
                           int persistentChannelCount,
                           java.lang.String jmsType,
                           java.lang.String correlationID,
                           byte[] correlationIDBytes,
                           JBossDestination destination,
                           JBossDestination replyTo,
                           java.util.HashMap jmsProperties)

### JBossMapMessage

    public JBossMapMessage(JBossMapMessage other)

### JBossMapMessage

    public JBossMapMessage(MapMessage foreign,
                           long id)
                    throws JMSException

  Make a shallow copy of another JBossMapMessage

Parameters:
  `foreign` -
Throws:
  `JMSException`

Method Detail

### getType

    public byte getType()

  Overrides:
    `getType` in class `JBossMessage`

### copyPayload

    public void copyPayload(java.lang.Object payload)
                     throws JMSException

  Overrides:
    `copyPayload` in class `JBossMessage`
  Throws:
    `JMSException`

### setBoolean

    public void setBoolean(java.lang.String name,
                           boolean value)
                    throws JMSException

  Throws:
    `JMSException`

### setByte

    public void setByte(java.lang.String name,
                        byte value)
                 throws JMSException

  Throws:
    `JMSException`

### setShort

    public void setShort(java.lang.String name,
                         short value)
                  throws JMSException

  Throws:
    `JMSException`

### setChar

    public void setChar(java.lang.String name,
                        char value)
                 throws JMSException

  Throws:
    `JMSException`

### setInt

    public void setInt(java.lang.String name,
                       int value)
                throws JMSException

  Throws:
    `JMSException`

### setLong

    public void setLong(java.lang.String name,
                        long value)
                 throws JMSException

  Throws:
    `JMSException`

### setFloat

    public void setFloat(java.lang.String name,
                         float value)
                  throws JMSException

  Throws:
    `JMSException`

### setDouble

    public void setDouble(java.lang.String name,
                          double value)
                   throws JMSException

  Throws:
    `JMSException`

### setString

    public void setString(java.lang.String name,
                          java.lang.String value)
                   throws JMSException

  Throws:
    `JMSException`

### setBytes

    public void setBytes(java.lang.String name,
                         byte[] value)
                  throws JMSException

  Throws:
    `JMSException`

### setBytes

    public void setBytes(java.lang.String name,
                         byte[] value,
                         int offset,
                         int length)
                  throws JMSException

  Throws:
    `JMSException`

### setObject

    public void setObject(java.lang.String name,
                          java.lang.Object value)
                   throws JMSException

  Throws:
    `JMSException`

### getBoolean

    public boolean getBoolean(java.lang.String name)
                       throws JMSException

  Throws:
    `JMSException`

### getByte

    public byte getByte(java.lang.String name)
                 throws JMSException

  Throws:
    `JMSException`

### getShort

    public short getShort(java.lang.String name)
                   throws JMSException

  Throws:
    `JMSException`

### getChar

    public char getChar(java.lang.String name)
                 throws JMSException

  Throws:
    `JMSException`

### getInt

    public int getInt(java.lang.String name)
               throws JMSException

  Throws:
    `JMSException`

### getLong

    public long getLong(java.lang.String name)
                 throws JMSException

  Throws:
    `JMSException`

### getFloat

    public float getFloat(java.lang.String name)
                   throws JMSException

  Throws:
    `JMSException`

### getDouble

    public double getDouble(java.lang.String name)
                     throws JMSException

  Throws:
    `JMSException`

### getString

    public java.lang.String getString(java.lang.String name)
                               throws JMSException

  Throws:
    `JMSException`

### getBytes

    public byte[] getBytes(java.lang.String name)
                    throws JMSException

  Throws:
    `JMSException`

### getObject

    public java.lang.Object getObject(java.lang.String name)
                               throws JMSException

  Throws:
    `JMSException`

### getMapNames

    public java.util.Enumeration getMapNames()
                                      throws JMSException

  Throws:
    `JMSException`

### itemExists

    public boolean itemExists(java.lang.String name)
                       throws JMSException

  Throws:
    `JMSException`

### clearBody

    public void clearBody()
                   throws JMSException

  Overrides:
    `clearBody` in class `JBossMessage`
  Throws:
    `JMSException`

### doShallowCopy

    public JBossMessage doShallowCopy()

  Overrides:
    `doShallowCopy` in class `JBossMessage`

### writePayloadExternal

    protected void writePayloadExternal(java.io.ObjectOutput out,
                                        java.io.Serializable thePayload)
                                 throws java.io.IOException

  Description copied from class: `MessageSupport`
  Override this if you want more sophisticated payload externalization.

  Overrides:
    `writePayloadExternal` in class `MessageSupport`
  Throws:
    `java.io.IOException`

### readPayloadExternal

    protected java.io.Serializable readPayloadExternal(java.io.ObjectInput in,
                                                       int length)
                                                throws java.io.IOException,
                                                       java.lang.ClassNotFoundException

  Description copied from class: `MessageSupport`
  Override this if you want more sophisticated payload externalization.

  Overrides:
    `readPayloadExternal` in class `MessageSupport`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.